<?php

namespace AppBundle\Repository;

/**
 * OffreRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class OffreRepository extends \Doctrine\ORM\EntityRepository
{
    public function findOffreByString($str){

        return   $this->getEntityManager()->getRepository("AppBundle:Offre")->createQueryBuilder('e')
            ->where("e.description LIKE :query")
            ->orWhere("e.prixDebut LIKE :prixDebut")
            ->orWhere("e.prixFinal LIKE :prixFinal")
            ->orWhere("e.remise LIKE :remise")
            // ->andWhere('o.Product LIKE :product')
            ->setParameter('query', '%'.$str.'%')
            ->setParameter('prixDebut', '%'.$str.'%')
            ->setParameter('prixFinal', '%'.$str.'%')
            ->setParameter('remise', '%'.$str.'%')
            ->getQuery()
            ->getResult();
    }

    public function findbestOffre(){

        return   $this->getEntityManager()->getRepository("AppBundle:Offre")->createQueryBuilder('e')
            ->where("e.remise >= (SELECT MAX(a.remise) FROM AppBundle:Offre a ) and e.status == 1 ")
            ->setMaxResults(1)
            ->getQuery()
            ->getSingleResult();
    }
}
